# Interface VirtualLightingJson

Object containing information for the virtual lighting type. The position of the light follows the camera and is set behind the camera with a small offset to the left side.

See https://developers.arcgis.com/web-scene-specification/objects/sunLighting/.

interface VirtualLightingJson {
directShadows?: boolean;
type: "virtual";
}

#####
Index

### Properties

directShadows?
type

##
Properties

### `Optional` directShadows

directShadows?: boolean

Indicates whether to show shadows cast by the main light source.

### type

type

The type of lighting.